import { JobResponse } from '../../domain/models/profiles/JobResponse.interface';
import { TaskType } from '../models/tasks/enums/TaskType.enum';
import { JobsSummaryResponse } from '../models/jobs/JobsSummaryResponse.interface';
import { JobCountResponse } from '../models/jobs/JobCountResponse.interface';
import { Response } from '../../domain/models/Response.interface';
import { JobInfoResponse } from '../../domain/models/jobs/JobInfoResponse.interface';
export declare class JobService {
    private jobRepository;
    constructor();
    submitJob(idTaskSelected: String): Promise<JobResponse>;
    getSummaryFromTask(taskType: TaskType): Promise<JobsSummaryResponse>;
    getCountFromTask(taskType: TaskType): Promise<JobCountResponse>;
    deleteJob(idJobSelected: String, taskType: TaskType): Promise<Response>;
    stopJob(idJobSelected: String): Promise<Response>;
    getInfoJob(idJobSelected: String, taskType: TaskType): Promise<JobInfoResponse>;
    getDetailJob(idJobSelected: String, taskType: TaskType): Promise<any>;
    getStatisticsExecutionJob(taskType?: TaskType): Promise<any>;
    getQuestionsEvolve(idJobSelected: String): Promise<any>;
    saveQuestionsEvolve(idJobSelected: String, data: any): Promise<any>;
    resumeJobEvolve(idJobSelected: String): Promise<any>;
    getSuggestedConfigs(idJobSelected: String): Promise<any>;
}
